
  <mat-selection-list #show (selectionChange)="delete($event.option.value)">
    <mat-list-option *ngFor="let hero of heroes"  [value]="hero">
      {{hero.name}}
    </mat-list-option>
  </mat-selection-list>



